# $Revision: 1.17.2.1 $, $Date: 2007/03/22 00:15:13 $
#
# Conditional build:
%bcond_without	ipv6		# disable IPv6 support
#
%define		mod_name	rpaf
%define 	apxs		%{_sbindir}/apxs1
Summary:	Reverse proxy add forward module for Apache
Summary(pl):	Modu Apache'a dodajcy przekazywanie dla odwrotnych proxy
Name:		apache1-mod_%{mod_name}
Version:	0.5
Release:	6
License:	Apache
Group:		Networking/Daemons
Source0:	http://stderr.net/apache/rpaf/download/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	471fb059d6223a394f319b7c8ab45c4d
Source1:	%{name}.conf
Patch0:		%{name}-ipv6.patch
URL:		http://stderr.net/apache/rpaf/
%{?with_ipv6:BuildRequires:	apache1(ipv6)-devel}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
%{!?with_ipv6:BuildConflicts:	apache1(ipv6)-devel}
Requires:	apache1(EAPI)
%{?with_ipv6:Requires:	apache1(ipv6)}
Provides:	apache(mod_rpaf)
%{!?with_ipv6:Conflicts:	apache1(ipv6)}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
rpaf is for backend Apache servers what mod_proxy_add_forward is for
frontend Apache servers. It does excactly the opposite of
mod_proxy_add_forward written by Ask Bjoern Hansen. It will also work
with mod_proxy in Apache starting with release 1.3.25.

%description -l en
rpaf is for backend Apache servers what mod_proxy_add_forward is for
frontend Apache servers. It does excactly the opposite of
mod_proxy_add_forward written by Ask Bjrn Hansen. It will also work
with mod_proxy in Apache starting with release 1.3.25.

%description -l pl
rpaf jest dla backendowych serwerw Apache tym, czym
mod_proxy_add_forward jest dla frontendowych. Wykonuje dokadnie
przeciwne operacje do mod_proxy_add_forward napisanego przez Aska
Bjoerna Hansena. Bdzie take dziaa z mod_proxy w Apache'u poczwszy
od wersji 1.3.25.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%{?with_ipv6:%patch0 -p1}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/99_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES test.pl
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_rpaf.spec,v $
Revision 1.17.2.1  2007/03/22 00:15:13  glen
- if ipv6 enabled, require ipv6 enabled apache. issue 10241

Revision 1.17  2007/02/08 14:16:43  glen
- Provide apache(mod_rpaf); rel 5

Revision 1.16  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.15  2007/01/23 15:10:25  glen
- R: apache1-base instead of apache1; rel 3

Revision 1.14  2006/12/09 23:49:52  glen
- add also BuildConflicts; rel 2

Revision 1.13  2006/01/05 17:00:01  glen
- add ipv6 patch; rel 1

Revision 1.12  2005/11/25 11:29:13  glen
- if compiled without ipv6, then conflict with apache compiled with ipv6

Revision 1.11  2005/10/24 20:18:01  qboosh
- typo

Revision 1.10  2005/10/24 20:08:17  qboosh
- updated pl summary
- don't use non-ascii in C desc

Revision 1.9  2005/10/24 10:20:51  glen
- fix description

Revision 1.8  2005/10/24 08:45:22  glen
- fix BR

Revision 1.7  2005/02/24 18:13:39  glen
- added ipv6 bcond

Revision 1.6  2005/02/21 22:29:41  glen
- BC: apache1(ipv6)-devel

Revision 1.5  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.4  2005/02/10 18:04:15  glen
- remove apache confdir triggers (it wasn't never on ftp)

Revision 1.3  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.2  2005/01/05 20:26:50  qboosh
- pl

Revision 1.1  2005/01/05 00:28:43  glen
- new
